org.apache.ignite.internal.client

## Class GridClientFutureTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException
      - - org.apache.ignite.internal.client.GridClientFutureTimeoutException

All Implemented Interfaces:
  Serializable

    public class GridClientFutureTimeoutException
    extends GridClientException

Client future timeout exception is thrown whenever any client waiting is timed out.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientFutureTimeoutException(String msg)` Creates exception with specified error message.
`GridClientFutureTimeoutException(String msg, Throwable cause)` Creates exception with specified error message and cause.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.client.GridClientException

`hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientFutureTimeoutException

    public GridClientFutureTimeoutException(String msg)

Creates exception with specified error message.

Parameters:
  `msg` - Error message.

#### GridClientFutureTimeoutException

    public GridClientFutureTimeoutException(String msg,
                                            Throwable cause)

Creates exception with specified error message and cause.

Parameters:
  `msg` - Error message.
  `cause` - Error cause.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018